Bug 1333701 - owncloud: new security issues fixed upstream in 7.0.14, 8.0.12 and 8.1.7 [epel-all]
Summary: owncloud: new security issues fixed upstream in 7.0.14, 8.0.12 and 8.1.7 [epe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: owncloud
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1333699
TreeView+ depends on / blocked
 
Reported: 2016-05-06 07:44 UTC by Andrej Nemec
Modified: 2016-05-24 05:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-24 05:42:45 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-06 07:44:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-05-06 07:44:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1333699,1333701

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 James Hogarth 2016-05-06 10:14:48 UTC
Note that there is no needed update for EPEL6 based on the 7.0.14 changelog, in addition this is EOL and about to be retired as the version of PHP in EL6 does not support the later owncloud releases.

We no longer have an 8.0.x packages so that can be ignored.

The 8.1.6 in stable EPEL7 is in the process of being replaces by 8.2.3 (which has been in updates-testing for a while).

Once that is pushed stable a 8.2.4 build will be pushed to testing.

Comment 3 James Hogarth 2016-05-06 10:19:54 UTC
Actually it's only recently entered epel-testing ... I'll do an update in bodhi as it won't delay the stable date  by much for 8.2.x.

Comment 4 Fedora Update System 2016-05-06 14:04:14 UTC
owncloud-8.2.4-1.el7 php-Assetic-1.3.2-3.el7 php-natxet-cssmin-3.0.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ee08a77d2

Comment 5 Fedora Update System 2016-05-06 14:04:22 UTC
owncloud-8.2.4-1.el7 php-Assetic-1.3.2-3.el7 php-natxet-cssmin-3.0.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ee08a77d2

Comment 6 Fedora Update System 2016-05-07 16:21:58 UTC
owncloud-8.2.4-1.el7, php-Assetic-1.3.2-3.el7, php-natxet-cssmin-3.0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ee08a77d2

Comment 7 Fedora Update System 2016-05-23 22:48:27 UTC
owncloud-8.2.4-1.el7, php-Assetic-1.3.2-3.el7, php-natxet-cssmin-3.0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 James Hogarth 2016-05-24 05:42:45 UTC
EL7 had been pushed stable and EL6 has been retired so closing this bug.


Note You need to log in before you can comment on or make changes to this bug.